VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
PluginFactory Class Reference

`#include <module.h>`

## Public Types
using | ClassInfos = std::vector<ClassInfo>
using | PluginFactoryPtr = Steinberg::IPtr<Steinberg::IPluginFactory>

## Public Member Functions
| PluginFactory (const PluginFactoryPtr &factory) noexcept
void | setHostContext (Steinberg::FUnknown *context) const noexcept
FactoryInfo | info () const noexcept
uint32_t | classCount () const noexcept
ClassInfos | classInfos () const noexcept
template<typename T>
Steinberg::IPtr< T > | createInstance (const UID &classID) const noexcept
const PluginFactoryPtr & | get () const noexcept

## Member Typedef Documentation

## ◆ ClassInfos

using ClassInfos = std::vector<ClassInfo>

## ◆ PluginFactoryPtr

using PluginFactoryPtr = Steinberg::IPtr<Steinberg::IPluginFactory>

## Constructor & Destructor Documentation

## ◆ PluginFactory()

PluginFactory | ( | const PluginFactoryPtr & | factory | ) |
| explicit noexcept

## Member Function Documentation

## ◆ setHostContext()

void setHostContext | ( | Steinberg::FUnknown * | context | ) | const
| noexcept

## ◆ info()

FactoryInfo info | ( |  | ) | const
| noexcept

## ◆ classCount()

uint32_t classCount | ( |  | ) | const
| noexcept

## ◆ classInfos()

PluginFactory::ClassInfos classInfos | ( |  | ) | const
| noexcept

## ◆ createInstance()

template<typename T>

Steinberg::IPtr< T > createInstance | ( | const UID & | classID | ) | const
| inline noexcept

## ◆ get()

const PluginFactoryPtr & get | ( |  | ) | const
| inline noexcept

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.